Name:           wifiroamd
Version:        1.12
Release:        1%{?dist}
Summary:        Automatic WiFi connection (re)establishment daemon

Group:          System Environment/Base
License:        GPL
URL:            http://www.tummy.com/Community/software/wifiroamd/
Source0:        ftp://ftp.tummy.com/pub/tummy/wifiroamd/wifiroamd-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       dhclient
Requires:       wireless-tools
Requires:       fping

%description
WiFiRoamd is a program that monitors your wireless device to keep it
connected to a good access point.  It will scan looking for a known AP, or
will try the AP with the strongest un-encrypted signal.  If a script is
found for the specific AP ESSID or MAC address is found, that script is
run.  Otherwise, a "default" script is run.

After that script is run, scripts in the "up.d" directory are run.  These
implement extra functionality such as DHCP, ESSID "pinning" (where it
explicitly does "iwconfig $DEVICE essid $ESSID", so that you don't
accidentally wander to another AP) and other local things such as
restarting OpenVPN, etc.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir} -p $RPM_BUILD_ROOT/etc/wifiroamd/scripts/
%{__cp} -a scripts/* $RPM_BUILD_ROOT/etc/wifiroamd/scripts

%{__mkdir} -p $RPM_BUILD_ROOT/etc/wifiroamd/connections/
%{__cp} -a connections/* $RPM_BUILD_ROOT/etc/wifiroamd/connections

%{__cp} config-defaults $RPM_BUILD_ROOT/etc/wifiroamd/config-defaults
%{__cp} config $RPM_BUILD_ROOT/etc/wifiroamd/config

%{__mkdir} -p $RPM_BUILD_ROOT/sbin
%{__cp} -a wifiroamd $RPM_BUILD_ROOT/sbin/wifiroamd

%{__mkdir} -p $RPM_BUILD_ROOT/etc/init.d
%{__cp} wifiroamd.init $RPM_BUILD_ROOT/etc/init.d/wifiroamd

%{__mkdir} -p $RPM_BUILD_ROOT/etc/sysconfig
%{__cp} wifiroamd.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/wifiroamd

%{__mkdir} -p $RPM_BUILD_ROOT/var/lib/wifiroamd/dhclient-leases

%{__mkdir} -p $RPM_BUILD_ROOT/etc/cron.daily
%{__cp} wifiroamd.daily $RPM_BUILD_ROOT/etc/cron.daily/wifiroamd

%{__mkdir} -p $RPM_BUILD_ROOT/etc/wifiroamd/seen

%{__mkdir} -p $RPM_BUILD_ROOT/usr/share/man/man8
%{__cp} wifiroamd.8 $RPM_BUILD_ROOT/usr/share/man/man8

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 -eq 1 ]
then
   chkconfig --add wifiroamd
fi

%preun
if [ $1 -eq 0 ]
then
   chkconfig --del wifiroamd
fi

%files
%defattr(-,root,root,-)
%doc README TODO WHATSNEW
%attr(755,root,root) /sbin/wifiroamd
%attr(755,root,root) /etc/init.d/wifiroamd
%dir /etc/wifiroamd
%dir /etc/wifiroamd/scripts
%dir /etc/wifiroamd/scripts/monitor_pinggw.d
%dir /etc/wifiroamd/scripts/down.d
%dir /etc/wifiroamd/scripts/reset.d
%dir /etc/wifiroamd/scripts/up.d
%dir /etc/wifiroamd/connections
%dir /etc/wifiroamd/connections/default.d
%dir /etc/wifiroamd/connections/nowireless.d
%dir /etc/wifiroamd/seen
#  config-default should not be user-modified.
%config /etc/wifiroamd/config-defaults
%config /etc/sysconfig/wifiroamd
%attr(755,root,root) /etc/wifiroamd/scripts/monitor_pinggw.d/*
%attr(755,root,root) /etc/wifiroamd/scripts/reset.d/*
%attr(755,root,root) /etc/wifiroamd/scripts/up.d/*
%attr(755,root,root) /etc/wifiroamd/scripts/down.d/*
%attr(755,root,root) /etc/wifiroamd/connections/nowireless.d/*
/usr/share/man/man8/*
%config(noreplace) /etc/wifiroamd/config
%dir /var/lib/wifiroamd
%dir /var/lib/wifiroamd/dhclient-leases
%attr(755,root,root) /etc/cron.daily/wifiroamd
%doc examples
%doc debian/copyright

%changelog
* Sat Aug 25 2007 Ed Hill <ed@eh3.com> - 1.12-1
- new upstream 1.12

* Thu Aug 31 2006 Ed Hill <ed@eh3.com> - 1.11-1
- new upstream 1.11

* Thu Jul  6 2006 Ed Hill <ed@eh3.com> - 1.09-1
- new upstream 1.09

* Mon May  8 2006 Ed Hill <ed@eh3.com> - 1.08-1
- new upstream 1.08

* Wed May  3 2006 Ed Hill <ed@eh3.com> - 1.06-1
- new upstream 1.06

* Sun Mar 12 2006 Sean Reifschneider <jafo@tummy.com> - 1.05-1
- Release of 1.05.

* Sun Jan 15 2006 Kevin Fenzi <kevin@tummy.com> - 0.04-1
- Inital rpm spec
